Package io.dapr.v1

# Class DaprAppCallbackProtos.BindingEventRequest.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventRequest.Builder>
io.dapr.v1.DaprAppCallbackProtos.BindingEventRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprAppCallbackProtos.BindingEventRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprAppCallbackProtos.BindingEventRequest

public static final class DaprAppCallbackProtos.BindingEventRequest.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventRequest.Builder> implements DaprAppCallbackProtos.BindingEventRequestOrBuilder

     BindingEventRequest represents input bindings event.

Protobuf type `dapr.proto.runtime.v1.BindingEventRequest`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DaprAppCallbackProtos.BindingEventRequest.Builder`
  `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `DaprAppCallbackProtos.BindingEventRequest`
  `build()`
  `DaprAppCallbackProtos.BindingEventRequest`
  `buildPartial()`
  `DaprAppCallbackProtos.BindingEventRequest.Builder`
  `clear()`
  `DaprAppCallbackProtos.BindingEventRequest.Builder`
  `clearData()`
  Required.
  `DaprAppCallbackProtos.BindingEventRequest.Builder`
  `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
  `DaprAppCallbackProtos.BindingEventRequest.Builder`
  `clearMetadata()`
  `DaprAppCallbackProtos.BindingEventRequest.Builder`
  `clearName()`
  Required.
  `DaprAppCallbackProtos.BindingEventRequest.Builder`
  `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
  `DaprAppCallbackProtos.BindingEventRequest.Builder`
  `clone()`
  `boolean`
  `containsMetadata(String key)`
  The metadata set by the input binging components.
  `com.google.protobuf.ByteString`
  `getData()`
  Required.
  `DaprAppCallbackProtos.BindingEventRequest`
  `getDefaultInstanceForType()`
  `static final com.google.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `com.google.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `Map<String,String>`
  `getMetadata()`
  Deprecated.
  `int`
  `getMetadataCount()`
  The metadata set by the input binging components.
  `Map<String,String>`
  `getMetadataMap()`
  The metadata set by the input binging components.
  `String`
  `getMetadataOrDefault(String key, String defaultValue)`
  The metadata set by the input binging components.
  `String`
  `getMetadataOrThrow(String key)`
  The metadata set by the input binging components.
  `Map<String,String>`
  `getMutableMetadata()`
  Deprecated.
  `String`
  `getName()`
  Required.
  `com.google.protobuf.ByteString`
  `getNameBytes()`
  Required.
  `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `protected com.google.protobuf.MapFieldReflectionAccessor`
  `internalGetMapFieldReflection(int number)`
  `protected com.google.protobuf.MapFieldReflectionAccessor`
  `internalGetMutableMapFieldReflection(int number)`
  `final boolean`
  `isInitialized()`
  `DaprAppCallbackProtos.BindingEventRequest.Builder`
  `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `DaprAppCallbackProtos.BindingEventRequest.Builder`
  `mergeFrom(com.google.protobuf.Message other)`
  `DaprAppCallbackProtos.BindingEventRequest.Builder`
  `mergeFrom(DaprAppCallbackProtos.BindingEventRequest other)`
  `final DaprAppCallbackProtos.BindingEventRequest.Builder`
  `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
  `DaprAppCallbackProtos.BindingEventRequest.Builder`
  `putAllMetadata(Map<String,String> values)`
  The metadata set by the input binging components.
  `DaprAppCallbackProtos.BindingEventRequest.Builder`
  `putMetadata(String key, String value)`
  The metadata set by the input binging components.
  `DaprAppCallbackProtos.BindingEventRequest.Builder`
  `removeMetadata(String key)`
  The metadata set by the input binging components.
  `DaprAppCallbackProtos.BindingEventRequest.Builder`
  `setData(com.google.protobuf.ByteString value)`
  Required.
  `DaprAppCallbackProtos.BindingEventRequest.Builder`
  `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `DaprAppCallbackProtos.BindingEventRequest.Builder`
  `setName(String value)`
  Required.
  `DaprAppCallbackProtos.BindingEventRequest.Builder`
  `setNameBytes(com.google.protobuf.ByteString value)`
  Required.
  `DaprAppCallbackProtos.BindingEventRequest.Builder`
  `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
  `final DaprAppCallbackProtos.BindingEventRequest.Builder`
  `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

  ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetMapFieldReflection

    protected com.google.protobuf.MapFieldReflectionAccessor internalGetMapFieldReflection(int number)
    Overrides:
      `internalGetMapFieldReflection` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventRequest.Builder>`

  - ### internalGetMutableMapFieldReflection

    protected com.google.protobuf.MapFieldReflectionAccessor internalGetMutableMapFieldReflection(int number)
    Overrides:
      `internalGetMutableMapFieldReflection` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventRequest.Builder>`

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventRequest.Builder>`

  - ### clear

    public DaprAppCallbackProtos.BindingEventRequest.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventRequest.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventRequest.Builder>`

  - ### getDefaultInstanceForType

    public DaprAppCallbackProtos.BindingEventRequest getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public DaprAppCallbackProtos.BindingEventRequest build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public DaprAppCallbackProtos.BindingEventRequest buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### clone

    public DaprAppCallbackProtos.BindingEventRequest.Builder clone()
    Specified by:
      `clone` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventRequest.Builder>`

  - ### setField

    public DaprAppCallbackProtos.BindingEventRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `setField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventRequest.Builder>`

  - ### clearField

    public DaprAppCallbackProtos.BindingEventRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventRequest.Builder>`

  - ### clearOneof

    public DaprAppCallbackProtos.BindingEventRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventRequest.Builder>`

  - ### setRepeatedField

    public DaprAppCallbackProtos.BindingEventRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)
    Specified by:
      `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventRequest.Builder>`

  - ### addRepeatedField

    public DaprAppCallbackProtos.BindingEventRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventRequest.Builder>`

  - ### mergeFrom

    public DaprAppCallbackProtos.BindingEventRequest.Builder mergeFrom(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.BindingEventRequest.Builder>`

  - ### mergeFrom

    public DaprAppCallbackProtos.BindingEventRequest.Builder mergeFrom(DaprAppCallbackProtos.BindingEventRequest other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventRequest.Builder>`

  - ### mergeFrom

    public DaprAppCallbackProtos.BindingEventRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.BindingEventRequest.Builder>`
    Throws:
      `IOException`

  - ### getName

    public String getName()

         Required. The name of the input binding component.

    `string name = 1;`
    Specified by:
      `getName` in interface `DaprAppCallbackProtos.BindingEventRequestOrBuilder`
    Returns:
      The name.

  - ### getNameBytes

    public com.google.protobuf.ByteString getNameBytes()

         Required. The name of the input binding component.

    `string name = 1;`
    Specified by:
      `getNameBytes` in interface `DaprAppCallbackProtos.BindingEventRequestOrBuilder`
    Returns:
      The bytes for name.

  - ### setName

    public DaprAppCallbackProtos.BindingEventRequest.Builder setName(String value)

         Required. The name of the input binding component.

    `string name = 1;`
    Parameters:
      `value` - The name to set.
    Returns:
      This builder for chaining.

  - ### clearName

    public DaprAppCallbackProtos.BindingEventRequest.Builder clearName()

         Required. The name of the input binding component.

    `string name = 1;`
    Returns:
      This builder for chaining.

  - ### setNameBytes

    public DaprAppCallbackProtos.BindingEventRequest.Builder setNameBytes(com.google.protobuf.ByteString value)

         Required. The name of the input binding component.

    `string name = 1;`
    Parameters:
      `value` - The bytes for name to set.
    Returns:
      This builder for chaining.

  - ### getData

    public com.google.protobuf.ByteString getData()

         Required. The payload that the input bindings sent

    `bytes data = 2;`
    Specified by:
      `getData` in interface `DaprAppCallbackProtos.BindingEventRequestOrBuilder`
    Returns:
      The data.

  - ### setData

    public DaprAppCallbackProtos.BindingEventRequest.Builder setData(com.google.protobuf.ByteString value)

         Required. The payload that the input bindings sent

    `bytes data = 2;`
    Parameters:
      `value` - The data to set.
    Returns:
      This builder for chaining.

  - ### clearData

    public DaprAppCallbackProtos.BindingEventRequest.Builder clearData()

         Required. The payload that the input bindings sent

    `bytes data = 2;`
    Returns:
      This builder for chaining.

  - ### getMetadataCount

    public int getMetadataCount()
    Description copied from interface: `DaprAppCallbackProtos.BindingEventRequestOrBuilder`

         The metadata set by the input binging components.

    `map<string, string> metadata = 3;`
    Specified by:
      `getMetadataCount` in interface `DaprAppCallbackProtos.BindingEventRequestOrBuilder`

  - ### containsMetadata

    public boolean containsMetadata(String key)

         The metadata set by the input binging components.

    `map<string, string> metadata = 3;`
    Specified by:
      `containsMetadata` in interface `DaprAppCallbackProtos.BindingEventRequestOrBuilder`

  - ### getMetadata

    @Deprecated public Map<String,String> getMetadata()
    Deprecated.
    Use `getMetadataMap()` instead.
    Specified by:
      `getMetadata` in interface `DaprAppCallbackProtos.BindingEventRequestOrBuilder`

  - ### getMetadataMap

    public Map<String,String> getMetadataMap()

         The metadata set by the input binging components.

    `map<string, string> metadata = 3;`
    Specified by:
      `getMetadataMap` in interface `DaprAppCallbackProtos.BindingEventRequestOrBuilder`

  - ### getMetadataOrDefault

    public String getMetadataOrDefault(String key, String defaultValue)

         The metadata set by the input binging components.

    `map<string, string> metadata = 3;`
    Specified by:
      `getMetadataOrDefault` in interface `DaprAppCallbackProtos.BindingEventRequestOrBuilder`

  - ### getMetadataOrThrow

    public String getMetadataOrThrow(String key)

         The metadata set by the input binging components.

    `map<string, string> metadata = 3;`
    Specified by:
      `getMetadataOrThrow` in interface `DaprAppCallbackProtos.BindingEventRequestOrBuilder`

  - ### clearMetadata

    public DaprAppCallbackProtos.BindingEventRequest.Builder clearMetadata()

  - ### removeMetadata

    public DaprAppCallbackProtos.BindingEventRequest.Builder removeMetadata(String key)

         The metadata set by the input binging components.

    `map<string, string> metadata = 3;`

  - ### getMutableMetadata

    @Deprecated public Map<String,String> getMutableMetadata()
    Deprecated.
    Use alternate mutation accessors instead.

  - ### putMetadata

    public DaprAppCallbackProtos.BindingEventRequest.Builder putMetadata(String key, String value)

         The metadata set by the input binging components.

    `map<string, string> metadata = 3;`

  - ### putAllMetadata

    public DaprAppCallbackProtos.BindingEventRequest.Builder putAllMetadata(Map<String,String> values)

         The metadata set by the input binging components.

    `map<string, string> metadata = 3;`

  - ### setUnknownFields

    public final DaprAppCallbackProtos.BindingEventRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventRequest.Builder>`

  - ### mergeUnknownFields

    public final DaprAppCallbackProtos.BindingEventRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventRequest.Builder>`